package me.km.afk;

import me.km.api.Module;
import me.km.api.ModuleListener;
import java.util.HashSet;
import java.util.UUID;
import net.minecraft.entity.player.EntityPlayer;

public class AfkListener extends ModuleListener
{
    private final HashSet<UUID> afk;
    
    public AfkListener(Module m) 
    {
        super(m);
        afk = new HashSet<>();
    }
    
    // -------------------------------------------------------------------------
    // Afk abrufen und setzen
    // -------------------------------------------------------------------------
    
    public boolean isAfk(EntityPlayer p)
    {
        return afk.contains(p.getUniqueID());
    }
    
    public void setAfk(EntityPlayer p, boolean b)
    {
        if(b)
        {
            afk.add(p.getUniqueID());
            return;
        }
        afk.remove(p.getUniqueID());
    }
}
