package me.km.blocks;

import me.km.items.ModItems;
import net.minecraft.block.SoundType;
import net.minecraft.block.state.IBlockState;
import net.minecraft.util.math.AxisAlignedBB;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.IBlockAccess;

public class BlockHayBed extends BlockBed
{ 
    private static final AxisAlignedBB BOX = new AxisAlignedBB(0, 0, 0, 1, 0.125d, 1);
    
    public BlockHayBed(String name, String local) 
    {
        super(name, local, ModItems.realHayBed);
        super.setSoundType(SoundType.PLANT);
    }
    
    @Override
    public AxisAlignedBB getBoundingBox(IBlockState state, IBlockAccess source, BlockPos pos)
    {
        return BOX;
    }

    @Override
    public float getLayingHigh() 
    {
        return 0;
    }
}
