package me.km.chatmanager;

import me.km.api.Module;
import me.km.api.ModuleCommand;
import me.km.permissions.Permissions;
import net.minecraft.command.ICommandSender;

public class CommandColor extends ModuleCommand
{
    public CommandColor(Module m) 
    {
        super("color", m);
        super.setDescription("Zeigt dir die möglichen Farben");
        super.setUsage("/color");
        super.setPermission(Permissions.COLOR);
        super.addAlias("colors");
    }

    @Override
    public boolean execute(ICommandSender cs, String[] arg) 
    {
        Module m = this.getModule();
        m.send(cs, "§9Verfügbare Farbcodes:");
        m.send(cs, "  §0&0  §1&1  §2&2  §3&3  §4&4  §5&5  §6&6  §7&7");
        m.send(cs, "  §8&8  §9&9  §a&a  §b&b  §c&c  §d&d  §e&e  §f&f");
        m.send(cs, "§9Sonstiges:");
        m.send(cs, "  §l&l (fett)");
        m.send(cs, "  §m&m (durchgestrichen)");
        m.send(cs, "  §n&n (unterstrichen)");
        m.send(cs, "  §o&o (kursiv)");
        return true;
    }
}
