package me.km.commands;

import me.km.KajetansMod;
import me.km.api.GlobalText;
import me.km.api.Location;
import me.km.api.Module;
import me.km.api.ModuleCommand;
import me.km.api.Utils;
import me.km.permissions.Permissions;
import net.minecraft.command.ICommandSender;
import net.minecraft.entity.player.EntityPlayer;

public class CommandBack extends ModuleCommand
{
    public CommandBack(Module m) 
    {
        super("back", m);
        super.setDescription("Teleportiert dich zu deiner letzten Position");
        super.setUsage("/back");
        super.setPermission(Permissions.BACK);
    }

    @Override
    public boolean execute(ICommandSender cs, String[] arg) 
    {
        if(!(cs instanceof EntityPlayer))
        {
            this.getModule().send(cs, GlobalText.onlyPlayer());
            return true;
        }
        EntityPlayer p = (EntityPlayer) cs;    
        Location l = KajetansMod.playerbank.getLastLocation(p);
        if(l != null)
        {
            Utils.teleportEntity(p, l);
            return true;
        }
        this.getModule().send(cs, "Es gibt noch keinen Ort, wo du zurückkehren könntest.");
        return true;
    }
}
