package me.km.commands;

import me.km.api.GlobalText;
import me.km.api.Module;
import me.km.api.ModuleCommand;
import me.km.api.SimpleConfig;
import me.km.permissions.Permissions;
import net.minecraft.command.ICommandSender;
import net.minecraft.entity.player.EntityPlayer;

public class CommandDelHome extends ModuleCommand
{
    public CommandDelHome(Module m) 
    {
        super("delhome", m);
        super.setDescription("Löscht einen Home");
        super.setUsage("/delhome <name>");
        super.setPermission(Permissions.DEL_HOME);
    }

    @Override
    public boolean execute(ICommandSender cs, String[] arg) 
    {
        if(!(cs instanceof EntityPlayer))
        {
            this.getModule().send(cs, GlobalText.onlyPlayer());
            return true;
        }
        if(arg.length < 1)
        {
            return false;
        }
        if(new SimpleConfig(this.getModule(), "home/" + ((EntityPlayer) cs).getUniqueID() + "/" + arg[0], false).delete())
        {
            this.getModule().send(cs, "Der Home " + arg[0] + " wurde gelöscht.");
            return true;
        }
        this.getModule().send(cs, "Der Home " + arg[0] + " existiert nicht.");
        return true;
    }
}
