package me.km.commands;

import me.km.api.Module;
import me.km.api.ModuleCommand;
import me.km.api.SimpleConfig;
import me.km.permissions.Permissions;
import net.minecraft.command.ICommandSender;

public class CommandDelWarp extends ModuleCommand
{
    public CommandDelWarp(Module m) 
    {
        super("delwarp", m);
        super.setDescription("Löscht einen Warp");
        super.setUsage("/delwarp <warpname>");
        super.setPermission(Permissions.DEL_WARP);
    }

    @Override
    public boolean execute(ICommandSender cs, String[] arg) 
    {
        if(arg.length < 1)
        {
            return false;
        }
        if(new SimpleConfig(this.getModule(), "warp/" + arg[0], false).delete())
        {
            this.getModule().send(cs, "Der Warp " + arg[0] + " wurde gelöscht.");
            return true;
        }
        this.getModule().send(cs, "Der Warp " + arg[0] + " existiert nicht.");
        return true;
    }
}
