package me.km.commands;

import me.km.KajetansMod;
import me.km.api.Module;
import me.km.api.ModuleCommand;
import me.km.permissions.Permissions;
import net.minecraft.command.ICommandSender;

public class CommandLag extends ModuleCommand
{
    public CommandLag(Module m) 
    {
        super("lag", m);
        super.setDescription("Testet den Server auf Lags");
        super.setUsage("/lag");
        super.setPermission(Permissions.LAG);
    }

    @Override
    public boolean execute(ICommandSender cs, String[] arg) 
    {
        Module m = this.getModule();
        m.send(cs, "Der Lagtest wird durchgeführt:");
        long time = System.currentTimeMillis();
        KajetansMod.scheduler.scheduleTask(() -> 
        {
            long diff = System.currentTimeMillis() - time;
            m.sendListElement(cs, "5000 Millisekunden sind nach dem Scheduler vergangen");
            m.sendListElement(cs, diff + " Millisekunden sind tatsächlich vergangen");
            String s = String.valueOf((((double) diff / 50d) - 100d));
            if(s.length() > 6)
            {
                s = s.substring(0, 5);
            }
            m.sendListElement(cs, "Dies entspricht einer Abweichung von " + s + "%");
        }, 100);              
        return true;
    }
    
}
