package me.km.commands;

import me.km.api.GlobalText;
import me.km.api.Module;
import me.km.api.ModuleCommand;
import me.km.api.Utils;
import me.km.permissions.Permissions;
import net.minecraft.command.ICommandSender;
import net.minecraft.entity.player.EntityPlayer;

public class CommandSetSpawn extends ModuleCommand
{
    public CommandSetSpawn(Module m) 
    {
        super("setspawn", m);
        super.setDescription("Setzt den Spawn neu an deiner Position");
        super.setUsage("/setspawn");
        super.setPermission(Permissions.SET_SPAWN);
    }

    @Override
    public boolean execute(ICommandSender cs, String[] arg) 
    {
        if(!(cs instanceof EntityPlayer))
        {
            this.getModule().send(cs, GlobalText.onlyPlayer());
            return true;
        }
        this.getModule().send(cs, "Der neue Spawn wurde gesetzt.");
        EntityPlayer p = (EntityPlayer) cs;
        Utils.setSpawn(p.world, p.getPositionVector(), p.rotationYaw, p.rotationPitch);
        return true;
    }
}
