package me.km.commands;

import me.km.api.Module;
import me.km.api.ModuleCommand;
import me.km.permissions.Permissions;
import net.minecraft.command.ICommandSender;

public class CommandSilent extends ModuleCommand
{
    public boolean silentjoin;
    
    public CommandSilent(Module m) 
    {
        super("silent", m);
        super.setDescription("Stellt den Silent-Join an oder aus");
        super.setUsage("/silent");
        super.setPermission(Permissions.SILENT);
        
        silentjoin = false;
    }

    @Override
    public boolean execute(ICommandSender cs, String[] arg) 
    {
        if(silentjoin)
        {
            silentjoin = false;
            this.getModule().send(cs, "Silent Join ist nun aus.");
            return true;
        }
        silentjoin = true;
        this.getModule().send(cs, "Silent Join ist nun an.");
        return true;
    }
}
