package me.km.commands;

import me.km.api.GlobalText;
import me.km.api.Module;
import me.km.api.ModuleCommand;
import me.km.api.Utils;
import me.km.permissions.Permissions;
import net.minecraft.block.Block;
import net.minecraft.command.ICommandSender;
import net.minecraft.entity.player.EntityPlayer;

public class CommandSkull extends ModuleCommand
{
    public CommandSkull(Module m) 
    {
        super("skull", m);
        super.setDescription("Gibt dir den Kopf eines Spielers");
        super.setUsage("/skull <owner>");
        super.setPermission(Permissions.SKULL);
    }

    @Override
    public boolean execute(ICommandSender cs, String[] arg) 
    {
        if(!(cs instanceof EntityPlayer))
        {
            this.getModule().send(cs, GlobalText.onlyPlayer());
            return true;
        }
        if(arg.length == 0)
        {
            return false;
        }
        EntityPlayer p = (EntityPlayer) cs;
        Block.spawnAsEntity(p.getEntityWorld(), p.getPosition(), Utils.getPlayerHead(arg[0]));
        this.getModule().send(cs, "Dir wurde ein Kopf von " + arg[0] + " gegeben.");
        return true;
    }
}
