package me.km.effects.active;

import me.km.effects.ActiveEffectBase;
import me.km.effects.EffectUtils;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.init.MobEffects;

public class BunnyHop extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        EffectUtils.addPotionTo(p, MobEffects.JUMP_BOOST, 300, power * 2);
        return true;
    }

    @Override
    protected int getManaCost(int manaFactor) 
    {
        return 7 * manaFactor;
    }
}
