package me.km.effects.active;

import me.km.KajetansMod;
import me.km.effects.ActiveEffectBase;
import me.km.effects.EffectUtils;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.entity.projectile.EntityArrow;

public class ClusterBomb extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        EntityArrow arrow = EffectUtils.launchProjectile(p, EntityArrow.class, power / 4f, null);
        arrow.setDamage(0.1);
        arrow.pickupStatus = EntityArrow.PickupStatus.DISALLOWED;
        KajetansMod.effects.addEntityData(p, "clusterbomb", power);
        return true;
    }

    @Override
    protected int getManaCost(int manaFactor) 
    {
        return 5 * manaFactor;
    }
}
