package me.km.effects.active;

import me.km.effects.ActiveEffectBase;
import me.km.effects.EffectUtils;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.WorldServer;

public class Explosion extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        BlockPos target = EffectUtils.getPlayerTarget(p, power);
        WorldServer w = p.getServerWorld();
        w.createExplosion(null, target.getX(), target.getY(), target.getZ(), power / 4f, true);
        return true;
    }

    @Override
    protected int getManaCost(int manaFactor) 
    {
        return 12 * manaFactor;
    }
}
