package me.km.effects.active;

import me.km.effects.ActiveEffectBase;
import me.km.effects.EffectUtils;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.entity.projectile.EntityLargeFireball;

public class Fireball extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        EntityLargeFireball fireball = EffectUtils.launchProjectile(p, EntityLargeFireball.class, 1, p);
        fireball.explosionPower = power / 2;
        return true;
    }

    @Override
    protected int getManaCost(int manaFactor) 
    {
        return 8 * manaFactor;
    }
}
