package me.km.effects.active;

import me.km.effects.EffectUtils;
import me.km.effects.ActiveEffectBase;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.init.MobEffects;

public class Hearts extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        EffectUtils.addPotionTo(p, MobEffects.HEALTH_BOOST, 6000, power - 1);
        return true;
    }

    @Override
    protected int getManaCost(int manaFactor) 
    {
        return 10 * manaFactor;
    }
}
