package me.km.effects.active;

import me.km.effects.ActiveEffectBase;
import me.km.effects.EffectUtils;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.init.MobEffects;

public class Power extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        EffectUtils.addPotionTo(p, MobEffects.STRENGTH, 1800, power - 1);
        return true;
    }

    @Override
    protected int getManaCost(int manaFactor) 
    {
        return 3 * manaFactor;
    }
}
