package me.km.effects.active;

import me.km.effects.ActiveEffectBase;
import me.km.effects.EffectUtils;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.entity.projectile.EntityTippedArrow;
import net.minecraft.init.MobEffects;
import net.minecraft.potion.PotionEffect;

public class Rooting extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        EntityTippedArrow arrow = EffectUtils.launchTippedArrow(p, power / 2f, MobEffects.SLOWNESS, power * 30, 50);
        arrow.setDamage(0.1);
        arrow.addEffect(new PotionEffect(MobEffects.JUMP_BOOST, power * 30, 128));
        arrow.pickupStatus = EntityTippedArrow.PickupStatus.DISALLOWED;
        return true;
    }

    @Override
    protected int getManaCost(int manaFactor) 
    {
        return 2 * manaFactor;
    }
}
