package me.km.effects.active;

import me.km.KajetansMod;
import me.km.api.Utils;
import me.km.effects.ActiveEffectBase;
import net.minecraft.entity.player.EntityPlayerMP;

public class Silence extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        EntityPlayerMP affectedPlayer = Utils.getTargetedEntity(p, 4, EntityPlayerMP.class);
        if(affectedPlayer == null)
        {
            return false;
        }
        KajetansMod.playerbank.getData(affectedPlayer).addBadTimedData("silence", 0, 60 * power, "Silence", 50);
        return true;
    }

    @Override
    protected int getManaCost(int manaFactor) 
    {
        return 4 * manaFactor;
    }
}
