package me.km.effects.active;

import me.km.KajetansMod;
import me.km.api.Location;
import me.km.effects.ActiveEffectBase;
import me.km.effects.passive.BlockClickEffects;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.WorldServer;

public class TeleportBlock extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        WorldServer w = p.getServerWorld();
        BlockPos b = p.getPosition();
        for(int x = -1; x <= 1; x++)
        {
            for(int y = -1; y <= 1; y++)
            {
                if(x == 0 && y == 0)
                {
                    continue;
                }
                if(w.isAirBlock(b.add(x, 0, y)))
                {
                    KajetansMod.effects.getEvent(BlockClickEffects.class).registerTeleportBlock(new Location(w, b.add(x, 0, y)), p, 60 * power);
                    return true;
                }
            }
        }
        KajetansMod.skills.send(p, "Es wurde kein freier Platz gefunden.");
        return false;
    }

    @Override
    protected int getManaCost(int manaFactor) 
    {
        return 1;
    }
}
