package me.km.effects.active;

import me.km.effects.ActiveEffectBase;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.init.MobEffects;
import net.minecraft.potion.PotionEffect;

public class Unlucky extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        p.addPotionEffect(new PotionEffect(MobEffects.UNLUCK, 200 + 200 * power, 9));
        return true;
    }

    @Override
    protected int getManaCost(int manaFactor) 
    {
        return 3 * manaFactor;
    }
}
