package me.km.events;

import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.util.DamageSource;
import net.minecraftforge.event.entity.living.LivingHurtEvent;
import net.minecraftforge.fml.common.eventhandler.Cancelable;

@Cancelable
public class PlayerHurtEvent extends LivingHurtEvent
{
    private final EntityPlayerMP p;
    
    public PlayerHurtEvent(EntityPlayerMP p, DamageSource source, float amount) 
    {
        super(p, source, amount);
        this.p = p;
    }

    public EntityPlayerMP getEntityPlayer() 
    {
        return p;
    }
}
