package me.km.events;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.entity.projectile.EntityThrowable;
import net.minecraft.world.World;
import net.minecraftforge.event.entity.player.PlayerEvent;

public class ThrowableLaunchEvent extends PlayerEvent 
{
    private final EntityThrowable thrown;
    private final World world;
    
    public ThrowableLaunchEvent(EntityPlayer player, EntityThrowable thrown, World world) 
    {
        super(player);
        this.thrown = thrown;
        this.world = world;
    }

    public EntityThrowable getEntityThrowable() 
    {
        return thrown;
    }

    public World getWorld() 
    {
        return world;
    }
}
