package me.km.items;

import me.km.KajetansMod;
import net.minecraft.creativetab.CreativeTabs;
import net.minecraft.item.Item;

public class ItemBase extends Item implements ItemModelProvider
{
    protected String name;

    public ItemBase(String name, String local) 
    {
        this.name = name;
        super.setUnlocalizedName(local);
        this.setRegistryName(KajetansMod.MODID, name);
    }

    @Override
    public void registerItemModel(Item item) 
    {
        KajetansMod.proxy.registerItemRenderer(this, 0, name);
    }
    
    @Override
    public ItemBase setCreativeTab(CreativeTabs tab) 
    {
        super.setCreativeTab(tab);
        return this;
    }
}