package me.km.permissions;

public enum Permissions 
{
    // Commands
    TEST, SPAWN, SET_SPAWN, HEAL, SET_BED, TEMP_BAN, TELEPORT, SPAWNER, SUMMON, SKULL,
    SILENT, SIGN, SET_WARP, DEL_WARP, FLY, FLY_OTHER, GAMEMODE, GAMEMODE_OTHER, GOD, MORE,
    LASTSEEN, HOME, HOME_OTHER, DEL_HOME, KILL, KILL_OTHER, HAT, LIST, REPAIR, PVP,
    PVP_OTHER, LIGHTUPDATE, LAG, COORDS, INVSEE, SET_HOME, KICK, ADD_USER, ENDERCHEST,
    EXP, SAY, BAN, BACK, BED, BED_OTHER, POTION, MSG, ANSWER, ITEMINFO, FEED, MEMORY,
    POSITION, SEEN, TIME, TOP, TP_POS, USER, WARP, BOOK, GROW, ENCHANT, SPEED,
    TELEPORT_ACCEPT, WORLD,
    
    // Chat-Manager
    COLOR, USE_COLOR, NICKNAME, FAKERANK, 
    
    // Block-Protections
    BLOCK_BYPASS, BLOCK, BLOCK_ALL, BLOCK_OTHER, BLOCK_CLEAR,
    
    // AFK-Manager
    AFK, AFK_OTHER,
    
    // Data-Tools
    DATATOOLS, VILLAGER,
    
    // Effects
    WAND,
    
    // Environment
    HEAL_STATS, TEMPERATURE,
    
    // Jobs
    JOB, RECIPE, ACTIVE_SKILLS, SKILLS,
    
    // Plots
    PLOT, PLOT_CREATE, PLOT_INFO, PLOT_TAG, PLOT_SHARE, PLOT_SIGN, PLOT_BYPASS, PLOT_MARK,
    
    // Scrolls
    SCROLL,
    
    // Quests / Scripts
    QUEST, SCRIPT, QUESTINFO, GIVEUP, SCRIPT_ERROR,
    
    // Special
    VANILLA, WORLDEDIT
}
