package me.km.plots;

import me.km.api.Module;
import net.minecraft.entity.Entity;
import net.minecraft.entity.boss.EntityDragon;
import net.minecraft.entity.boss.EntityWither;
import net.minecraft.world.DimensionType;
import net.minecraftforge.event.entity.EntityJoinWorldEvent;
import net.minecraftforge.fml.common.eventhandler.EventPriority;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;

public class ProtectionBossMonster extends Protection
{
    public ProtectionBossMonster(Module m) 
    {
        super(m);
    }
    
    @SubscribeEvent(priority = EventPriority.HIGHEST)
    public void WitherDragonProtection(EntityJoinWorldEvent e)
    {
        Class<? extends Entity> c = e.getEntity().getClass();
        if(c == EntityWither.class && e.getWorld().provider.getDimensionType() != DimensionType.NETHER)
        {
            e.setCanceled(true);
        }  
        else if(c == EntityDragon.class && e.getWorld().provider.getDimensionType() != DimensionType.THE_END)
        {
            e.setCanceled(true);
        } 
    }
}
