package me.km.plots;

import me.km.KajetansMod;
import me.km.api.Module;
import me.km.permissions.Permissions;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.util.math.BlockPos;
import net.minecraft.util.math.RayTraceResult;
import net.minecraftforge.event.entity.player.FillBucketEvent;
import net.minecraftforge.fml.common.eventhandler.EventPriority;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;

public class ProtectionBucketUse extends Protection
{
    public ProtectionBucketUse(Module m) 
    {
        super(m);
    }
    
    @SubscribeEvent(priority = EventPriority.HIGHEST)
    public void onBucketFill(FillBucketEvent e)
    {
        EntityPlayer p = e.getEntityPlayer(); 
        RayTraceResult ray = e.getTarget();
        if(ray == null || KajetansMod.perms.has(p, Permissions.PLOT_BYPASS))
        {
            return;
        }
        BlockPos pos = ray.getBlockPos();
        if(pos == null)
        {
            return;
        }
        if(!this.getProtectionBank().canBuild(e.getWorld(), pos, p))
        {
            e.setCanceled(true);
        }
    }
}
