package me.km.skills;

import me.km.KajetansMod;
import me.km.api.GlobalText;
import me.km.api.Module;
import me.km.api.ModuleCommand;
import me.km.permissions.Permissions;
import net.minecraft.command.ICommandSender;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.entity.player.EntityPlayerMP;

public class CommandActiveSkills extends ModuleCommand
{
    public CommandActiveSkills(Module m) 
    {
        super("activeskills", m);
        super.setDescription("Zeigt dir deine aktiven Skills");
        super.setUsage("/activeskills");
        super.setPermission(Permissions.ACTIVE_SKILLS);
        super.addAlias("askills");
    }

    @Override
    public boolean execute(ICommandSender cs, String[] arg) 
    {
        if(!(cs instanceof EntityPlayer))
        {
            this.getModule().send(cs, GlobalText.onlyPlayer());
            return true;
        }
        EntityPlayerMP p = (EntityPlayerMP) cs;
        if(KajetansMod.worldManager.getWorldPreferences(p.getEntityWorld()).skills)
        {
            SkillMenuUtilities.openActiveSkills(p);
            return true;
        }
        this.getModule().send(cs, GlobalText.noSkills());
        return true;
    } 
}
