package me.km.snuviscript;

import me.km.api.Location;
import net.minecraft.block.state.IBlockState;
import net.minecraft.entity.Entity;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.ItemStack;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.World;

public class ScriptVars 
{  
    @SuppressWarnings("")
    public static void setBlockVars(Script qd, World w, BlockPos pos)
    {               
        IBlockState state = w.getBlockState(pos);
        qd.setVar("block-loc", new Location(w, pos));
        qd.setVar("block-type", state.getBlock().getRegistryName().toString());
        qd.setVar("block-data", state.getBlock().getMetaFromState(state));
    }
    
    public static void setPlayerVars(Script qd, EntityPlayer p)
    {
        qd.setVar("player", p);
        qd.setVar("player-name", p.getName());
    }
    
    public static void setSecPlayer(Script qd, EntityPlayer p)
    {
        if(p != null)
        {
            qd.setVar("sec-player", p);
            qd.setVar("sec-player-name", p.getName());
        }
    }

    public static void setEntityVars(Script qd, Entity ent)
    {
        qd.setVar("entity", ent);
        qd.setVar("entity-name", ent.getDisplayName().getUnformattedText());
        qd.setVar("entity-type", ent.getClass().getSimpleName());             
    }

    public static void setItemVars(Script qd, ItemStack stack)
    {
        qd.setVar("item", stack);
    }   
}
