package me.km.api;

import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.network.play.server.SPacketTitle;
import net.minecraft.util.text.TextComponentString;

public class TitleAPI 
{
    public static void setTitleTime(EntityPlayerMP p, int fadeIn, int stay, int fadeOut)
    {
        p.connection.sendPacket(new SPacketTitle(fadeIn, stay, fadeOut));
    }
    
    public static void clearTitle(EntityPlayerMP p)
    {
        p.connection.sendPacket(new SPacketTitle(SPacketTitle.Type.CLEAR, null));
        p.connection.sendPacket(new SPacketTitle(SPacketTitle.Type.RESET, null));
    }
    
    public static void resetTitle(EntityPlayerMP p)
    {
        p.connection.sendPacket(new SPacketTitle(SPacketTitle.Type.RESET, null));
    }
    
    private static void setTitle(SPacketTitle.Type a, EntityPlayerMP p, String s)
    {
        p.connection.sendPacket(new SPacketTitle(a, new TextComponentString(s)));
    }
    
    public static void setTitle(EntityPlayerMP p, String s)
    {
        setTitle(SPacketTitle.Type.TITLE, p, s);
    }
    
    public static void setSubTitle(EntityPlayerMP p, String s)
    {
        setTitle(SPacketTitle.Type.SUBTITLE, p, s);
    }
}
