package me.km.commands;

import me.km.api.GlobalText;
import me.km.api.Module;
import me.km.api.ModuleCommand;
import me.km.permissions.Permissions;
import net.minecraft.command.ICommandSender;
import net.minecraft.entity.player.EntityPlayer;

public class CommandLightUpdate extends ModuleCommand
{
    public CommandLightUpdate(Module m) 
    {
        super("lightupdate", m);
        super.setDescription("Entfernt Lichtbugs");
        super.setUsage("/lightupdate");
        super.setPermission(Permissions.LIGHTUPDATE);
    }

    @Override
    public boolean execute(ICommandSender cs, String[] arg) 
    {
        if(!(cs instanceof EntityPlayer))
        {
            this.getModule().send(cs, GlobalText.onlyPlayer());
            return true;
        }
        EntityPlayer p = (EntityPlayer) cs;
        this.getModule().send(cs, GlobalText.notImplementedYet());
        return true;
    }
    
}
