package me.km.commands;

import me.km.KajetansMod;
import me.km.api.Module;
import me.km.api.ModuleCommand;
import me.km.chatmanager.ChatManager;
import java.util.List;
import java.util.stream.Collectors;
import me.km.permissions.Permissions;
import net.minecraft.command.ICommandSender;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.util.text.TextComponentString;

public class CommandList extends ModuleCommand
{
    public CommandList(Module m) 
    {
        super("list", m);
        super.setDescription("Zeigt die online Spieler an");
        super.setUsage("/list");
        super.setPermission(Permissions.LIST);
    }

    @Override
    public boolean execute(ICommandSender cs, String[] arg) 
    {
        Module m = this.getModule();
        List<EntityPlayerMP> players = KajetansMod.server.getPlayerList().getPlayers();
        int number = players.size();
        int max = KajetansMod.server.getMaxPlayers();      
        switch(number) 
        {
            case 1:    
                m.send(cs, "Es ist §7einer§r von maximal §7" + max + "§r Spielern online:");
                break;
            case 0:
                m.send(cs, "Es sind §70§r von maximal §7" + max + "§r Spielern online.");
                return true;
            default:
                m.send(cs, "Es sind §7" + number + "§r von maximal §7" + max + "§r Spielern online:");
                break;
        }
        ChatManager man = KajetansMod.chatManager;
        if(number > 0)
        {
            cs.sendMessage(new TextComponentString(players.stream().map(p -> man.getFullName(p)).collect(Collectors.joining("§7, §r"))));
        }
        return true;
    }
}
