package me.km.commands;

import me.km.api.GlobalText;
import me.km.api.Module;
import me.km.api.ModuleCommand;
import me.km.permissions.Permissions;
import net.minecraft.command.ICommandSender;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.init.Items;
import net.minecraft.item.ItemStack;

public class CommandMore extends ModuleCommand
{
    public CommandMore(Module m) 
    {
        super("more", m);
        super.setDescription("Stackt die Hand auf 64");
        super.setUsage("/more");
        super.setPermission(Permissions.MORE);
    }

    @Override
    public boolean execute(ICommandSender cs, String[] arg) 
    {
        if(!(cs instanceof EntityPlayer))
        {
            this.getModule().send(cs, GlobalText.onlyPlayer());
            return true;
        }
        EntityPlayer p = (EntityPlayer) cs;
        ItemStack stack = p.getHeldItemMainhand();
        if(stack == null || stack.getItem() == Items.AIR)
        {
            this.getModule().send(cs, "Du musst ein Item in der Hand halten.");
            return true;
        }
        stack.setCount(64);
        this.getModule().send(cs, "Das Item wurde auf 64 gestackt.");
        return true;
    }
}
