package me.km.commands;

import me.km.KajetansMod;
import me.km.api.GlobalText;
import me.km.api.Module;
import me.km.api.ModuleCommand;
import me.km.api.Utils;
import me.km.exception.PlayerNotFoundException;
import me.km.permissions.Permissions;
import net.minecraft.command.ICommandSender;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.network.play.server.SPacketRespawn;
import net.minecraft.world.WorldServer;

public class CommandTest extends ModuleCommand
{
    public CommandTest(Module m) 
    {
        super("test", m);
        super.setDescription("Für Tests");
        super.setUsage("/test");
        super.setPermission(Permissions.TEST);
    }   

    @Override
    public boolean execute(ICommandSender cs, String[] arg) 
    {
        /*if(!(cs instanceof EntityPlayer))
        {
            this.getModule().send(cs, GlobalText.onlyPlayer());
            return true;
        }*/
        if(arg.length < 1)
        {
            return true;
        }
        EntityPlayerMP p;
        try
        {
            p = Utils.getPlayerByName(arg[0]);    
        }
        catch(PlayerNotFoundException ex)
        {
            this.getModule().send(cs, GlobalText.cantFindPlayer(arg[0]));
            return true;
        }
        WorldServer w = p.getServerWorld();
        KajetansMod.server.getPlayerList().updateTimeAndWeatherForPlayer(p, w);
        return true;
    }
}
