package me.km.dimensions;

import net.minecraft.entity.Entity;
import net.minecraft.world.Teleporter;
import net.minecraft.world.WorldServer;

public class ModTeleporter extends Teleporter
{
    private final WorldServer ws;
 
    public ModTeleporter(WorldServer ws) 
    {
        super(ws);
        this.ws = ws;
    }
    
    @Override
    public void placeInPortal(Entity ent, float rotationYaw)
    {
        ent.motionX = 0.0d;
        ent.motionY = 0.0d;
        ent.motionZ = 0.0d;
    }

    @Override
    public boolean placeInExistingPortal(Entity entityIn, float rotationYaw)
    {
        return false;
    }

    @Override
    public boolean makePortal(Entity entityIn)
    {
        return true;
    }

    @Override
    public void removeStalePortalLocations(long worldTime)
    {       
    }
}
