package me.km.effects.active;

import me.km.KajetansMod;
import me.km.api.Location;
import me.km.api.Utils;
import me.km.effects.ActiveEffectBase;
import me.km.playerbank.PlayerData;
import net.minecraft.entity.player.EntityPlayerMP;

public class CallBack extends ActiveEffectBase
{  
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        PlayerData data = KajetansMod.playerbank.getData(p);
        if(data.hasData("callback"))
        {
            p.fallDistance = 0;
            Utils.teleportEntity(p, data.getData("callback", Location.class));
            data.removeData("callback");
            return true;
        }
        Location l = new Location(p);
        data.addGoodTimedData("callback", l, 100 * power, "R: §r" + ((int) p.posX) + "§7:§r" + ((int) p.posY) + "§7:§r" + ((int) p.posZ), 51);
        return true;
    }

    @Override
    protected int getManaCost(int manaFactor) 
    {
        return 1;
    }
}
