package me.km.effects.active;

import me.km.api.Utils;
import me.km.effects.ActiveEffectBase;
import me.km.effects.EffectUtils;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.init.SoundEvents;
import net.minecraft.util.math.Vec3d;

public class Flying extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        EffectUtils.playSound(p, SoundEvents.ENTITY_FIREWORK_LAUNCH);
        EffectUtils.playSpell(p, power);
        Vec3d v = p.getLookVec().scale(1 + (power / 20f));
        Utils.setVelocity(p, v.xCoord, v.yCoord, v.zCoord);
        return true;
    }

    @Override
    protected int getManaCost(int manaFactor) 
    {
        return manaFactor;
    }
}
