package me.km.effects.active;

import me.km.KajetansMod;
import me.km.effects.ActiveEffectBase;
import me.km.playerbank.PlayerData;
import net.minecraft.entity.player.EntityPlayerMP;

public class Gravity extends ActiveEffectBase
{  
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        PlayerData data = KajetansMod.playerbank.getData(p);
        Integer id = data.getData("gravity", Integer.class);
        if(id != null)
        {
            KajetansMod.scheduler.cancelTask(id);
            p.setNoGravity(false);
            data.removeData("gravity");
            return true;
        }
        power *= 100;
        p.setNoGravity(true);
        int cancel = KajetansMod.scheduler.scheduleTask(() -> 
        {
            p.setNoGravity(false);
        }, power);
        data.addGoodTimedData("gravity", cancel, power, "Schwerelos", 59);
        return true;
    }

    @Override
    protected int getManaCost(int manaFactor) 
    {
        return 1;
    }
}
