package me.km.effects.active;

import me.km.api.Utils;
import me.km.effects.ActiveEffectBase;
import net.minecraft.entity.EntityLivingBase;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.util.DamageSource;

public class HeartSeeker extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        EntityLivingBase liv = Utils.getTargetedEntity(p, 4, EntityLivingBase.class);
        if(liv == null)
        {
            return false;
        }
        int damage = power;
        if(liv.getHealth() <= liv.getMaxHealth() / 2)
        {
            damage *= 2;
        }
        liv.attackEntityFrom(DamageSource.causeMobDamage(p), damage);
        return true;
    }

    @Override
    protected int getManaCost(int manaFactor) 
    {
        return 4 * manaFactor;
    }
}
