package me.km.effects.active;

import me.km.effects.ActiveEffectBase;
import me.km.effects.EffectUtils;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.entity.projectile.EntityTippedArrow;
import net.minecraft.init.MobEffects;

public class SlowingShot extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        EntityTippedArrow arrow = EffectUtils.launchTippedArrow(p, power / 2d, MobEffects.SLOWNESS, power * 100, 3);
        arrow.setDamage(0.1);
        arrow.pickupStatus = EntityTippedArrow.PickupStatus.DISALLOWED;
        return true;
    }

    @Override
    protected int getManaCost(int manaFactor) 
    {
        return 2 * manaFactor;
    }
}
