package me.km.effects.active;

import java.util.List;
import me.km.KajetansMod;
import me.km.effects.ActiveEffectBase;
import me.km.inventory.TeleportContainer;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.entity.player.EntityPlayerMP;

public class TeleportPlayer extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        List<EntityPlayer> players = p.world.playerEntities;  
        if(players.size() <= 1)
        {
            KajetansMod.skills.send(p, "Es ist kein anderer Spieler in deiner Welt.");
            return false;
        } 
        TeleportContainer inv = new TeleportContainer(p, players);
        inv.openForPlayer(p);
        return true;
    }

    @Override
    protected int getManaCost(int manaFactor) 
    {
        return 20;
    }
}
