package me.km.effects.active;

import net.minecraft.entity.effect.EntityLightningBolt;
import net.minecraft.world.WorldServer;
import me.km.effects.ActiveEffectBase;
import me.km.effects.EffectUtils;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.util.math.BlockPos;

public class Thor extends ActiveEffectBase
{
    @Override
    protected boolean executeEffect(EntityPlayerMP p, int power) 
    {
        BlockPos pos = EffectUtils.getPlayerTarget(p, power);
        WorldServer w = p.getServerWorld();
        w.addWeatherEffect(new EntityLightningBolt(w, pos.getX(), pos.getY(), pos.getZ(), false));
        return true;
    }

    @Override
    protected int getManaCost(int manaFactor) 
    {
        return 20 + manaFactor;
    }
}
