package me.km.effects.passive;

import me.km.KajetansMod;
import me.km.api.Module;
import me.km.api.ModuleListener;
import me.km.api.Utils;
import me.km.effects.Effect;
import me.km.effects.EffectUtils;
import net.minecraft.block.Block;
import net.minecraft.init.Blocks;
import net.minecraft.util.EnumHand;
import net.minecraftforge.event.entity.player.PlayerInteractEvent;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;

public class CakeEating extends ModuleListener
{
    public CakeEating(Module m) 
    {
        super(m);
    }
    
    @SubscribeEvent(receiveCanceled = false)
    public void eatCake(PlayerInteractEvent.RightClickBlock e)
    {
        if(e.getHand() == EnumHand.OFF_HAND || !KajetansMod.worldManager.getWorldPreferences(e.getWorld()).skills)
        {
            return;
        }
        Block b = e.getWorld().getBlockState(e.getPos()).getBlock();
        if(b == Blocks.CAKE && EffectUtils.getEffectLevel(e.getEntityPlayer(), Effect.CAKE_POWER) >= Utils.randomInt(1, 5))
        {
            e.setCanceled(true);
            e.getEntityPlayer().getFoodStats().addStats(2, 0.1F);
        }       
    }
}
