package me.km.effects.passive;

import me.km.KajetansMod;
import me.km.api.Module;
import me.km.api.ModuleListener;
import me.km.effects.Effect;
import me.km.effects.EffectUtils;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.inventory.Container;
import net.minecraft.inventory.ContainerChest;
import net.minecraft.inventory.ContainerRepair;
import net.minecraft.tileentity.TileEntityBrewingStand;
import net.minecraftforge.event.entity.player.PlayerContainerEvent;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;

public class ContainerEvent extends ModuleListener
{
    public ContainerEvent(Module m)
    {
        super(m);
    }
    
    @SubscribeEvent
    public void inAnvilMenuClick(PlayerContainerEvent.Open e)
    { 
        Container c = e.getContainer();
        if(c instanceof ContainerRepair)
        {
            EntityPlayer p = e.getEntityPlayer();
            if(KajetansMod.worldManager.getWorldPreferences(p.world).skills &&
                EffectUtils.getEffectLevel(p, Effect.SMITH) < 1)
            {
                p.closeScreen();
            }
        }
        else if((c instanceof ContainerChest) && ((ContainerChest) c).getLowerChestInventory() instanceof TileEntityBrewingStand)
        {
            EntityPlayer p = e.getEntityPlayer();
            if(KajetansMod.worldManager.getWorldPreferences(p.world).skills &&
                EffectUtils.getEffectLevel(p, Effect.BREWING) < 1)
            {
                p.closeScreen();
            }
        }
    }
}
