package me.km.effects.passive;

import me.km.KajetansMod;
import me.km.api.Module;
import me.km.api.ModuleListener;
import me.km.effects.Effect;
import me.km.effects.EffectUtils;
import net.minecraftforge.fml.common.eventhandler.Event;
import net.minecraftforge.fml.common.eventhandler.SubscribeEvent;
import net.minecraftforge.fml.common.gameevent.PlayerEvent;

public class Smelting extends ModuleListener
{
    public Smelting(Module m) 
    {
        super(m);
    }
    
    @SubscribeEvent
    public void Furnace(PlayerEvent.ItemSmeltedEvent e)
    {  
        if(!KajetansMod.worldManager.getWorldPreferences(e.player.world).defaultProducing &&
            EffectUtils.getEffectLevel(e.player, Effect.SMELTING) < 1 &&
            !KajetansMod.jobs.hasRecipe(e.player, e.smelting.getItem()))
        {
            e.setResult(Event.Result.DENY);
            e.setCanceled(true);
            e.smelting.setCount(0);
        } 
    } 
}
