package me.km.events;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.entity.projectile.EntityArrow;
import net.minecraft.world.World;
import net.minecraftforge.event.entity.player.PlayerEvent;

public class ArrowLaunchEvent extends PlayerEvent
{
    private final EntityArrow arrow;
    private final World world;
    
    public ArrowLaunchEvent(EntityPlayer player, EntityArrow arrow, World world) 
    {
        super(player);
        this.arrow = arrow;
        this.world = world;
    }

    public EntityArrow getEntityArrow() 
    {
        return arrow;
    }

    public World getWorld() 
    {
        return world;
    }
}
