package me.km.events;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraftforge.event.entity.player.PlayerEvent;
import net.minecraftforge.fml.common.eventhandler.Cancelable;

@Cancelable
public class PlayerJoinMessageEvent extends PlayerEvent
{
    private String message;
    private final boolean nameChange;
    
    public PlayerJoinMessageEvent(EntityPlayer player, boolean nameChange, String message) 
    {
        super(player);
        this.message = message;
        this.nameChange = nameChange;
    }

    public void setMessage(String message) 
    {
        this.message = message;
    }

    public String getMessage() 
    {
        return message;
    }
    
    public boolean hasNameChanged()
    {
        return nameChange;
    }
}
