package me.km.events;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraftforge.event.entity.player.PlayerEvent;
import net.minecraftforge.fml.common.eventhandler.Cancelable;

@Cancelable
public class PlayerLeaveMessageEvent extends PlayerEvent
{
    private String message;
    
    public PlayerLeaveMessageEvent(EntityPlayer player, String message) 
    {
        super(player);
        this.message = message;
    }

    public void setMessage(String message) 
    {
        this.message = message;
    }

    public String getMessage() 
    {
        return message;
    }
}
