package me.km.fluids;

import me.km.KajetansMod;
import net.minecraft.util.ResourceLocation;
import net.minecraftforge.fluids.Fluid;
import net.minecraftforge.fluids.FluidRegistry;

public class ModFluids 
{
    public static Fluid poison;
    public static Fluid honey;
    
    public static void init() 
    {
        poison = register("poison").setViscosity(2000);
        honey = register("honey").setViscosity(4000);
    }

    private static Fluid register(String name) 
    {
        Fluid f = new Fluid(name, 
                new ResourceLocation(KajetansMod.MODID + ":blocks/" + name + "_still"), 
                new ResourceLocation(KajetansMod.MODID + ":blocks/" + name + "_flow"));
        FluidRegistry.registerFluid(f);
        FluidRegistry.addBucketForFluid(f);
        return f;
    }
}
