package me.km.items;

import me.km.blocks.EnumMetals;
import net.minecraft.block.Block;
import net.minecraft.item.ItemBlock;
import net.minecraft.item.ItemStack;

public class ItemMetal extends ItemBlock
{
    // everything inspired by net.minecraft.item.ItemCloth
    public ItemMetal(Block block)
    {
        super(block);
        super.setMaxDamage(0);
        super.setHasSubtypes(true);
    }
    
    @Override
    public int getMetadata(int damage)
    {
        return damage;
    }

    @Override
    public String getUnlocalizedName(ItemStack stack)
    {
        return super.getUnlocalizedName() + "." + EnumMetals.byMetadata(stack.getMetadata()).getUnlocalizedName();
    }
}
