package me.km.jobsystem;

import me.km.api.GlobalText;
import me.km.api.Module;
import me.km.api.ModuleCommand;
import me.km.permissions.Permissions;
import net.minecraft.command.ICommandSender;

public class CommandJob extends ModuleCommand
{   
    public CommandJob(Module m) 
    {
        super("job", m);
        super.setDescription("Alles zur Verwaltung bei den Jobs");
        super.setUsage("/job für die Hilfe");
        super.setPermission(Permissions.JOB);
    }

    @Override
    public boolean execute(ICommandSender cs, String[] arg) 
    {
        Module m = this.getModule();
        m.send(cs, GlobalText.notImplementedYet());
        /*if(arg.length >= 1)
        {
            switch(arg[0].toLowerCase())
            {
                case "setxp":
                {
                    if(arg.length >= 2)
                    {
                        Player affectedPlayer;
                        try
                        {
                            affectedPlayer = Utilities.getPlayerByName(arg[2]);    
                        }
                        catch(PlayerNotFoundException ex)
                        {
                            m.send(cs, GlobalText.cantFindPlayer(arg[2]));
                            return true;
                        }
                        catch(IndexOutOfBoundsException ex)
                        {
                            if(!(cs instanceof Player))
                            {
                                m.send(cs, GlobalText.missingParameter());
                                return true;
                            }     
                            affectedPlayer = (Player) cs;
                        }
                        try
                        {
                            KajetansTools.jobs.setJobXP(affectedPlayer, Integer.parseInt(arg[1]), KajetansTools.jobs.getJob(affectedPlayer));
                            m.send(affectedPlayer, "Deine Job-XP wurden auf " + arg[1] + " gesetzt.");
                            if(!cs.equals(affectedPlayer))
                            {
                                m.send(affectedPlayer, "Die Job-XP von " + affectedPlayer.getName() + " wurden auf " + arg[1] + " gesetzt.");
                            }
                        }
                        catch(NumberFormatException ex)
                        {
                            m.send(cs, GlobalText.noIntegerNumber());
                        }
                        return true;
                    }
                    break;
                }
                case "givexp":
                {
                    if(arg.length >= 2)
                    {
                        Player affectedPlayer;
                        try
                        {
                            affectedPlayer = Utilities.getPlayerByName(arg[2]);    
                        }
                        catch(PlayerNotFoundException ex)
                        {
                            m.send(cs, GlobalText.cantFindPlayer(arg[2]));
                            return true;
                        }
                        catch(IndexOutOfBoundsException ex)
                        {
                            if(!(cs instanceof Player))
                            {
                                m.send(cs, GlobalText.missingParameter());
                                return true;
                            }     
                            affectedPlayer = (Player) cs;
                        }
                        try
                        {
                            KajetansTools.jobs.addXP(affectedPlayer, Integer.parseInt(arg[1]));
                            m.send(affectedPlayer, "Dir wurden " + arg[1] + " Job-XP gegeben.");
                            if(!cs.equals(affectedPlayer))
                            {
                                m.send(affectedPlayer, affectedPlayer.getName() +  " wurden " + arg[1] + " Job-XP gegeben.");
                            }
                        }
                        catch(NumberFormatException ex)
                        {
                            m.send(cs, GlobalText.noIntegerNumber());
                        }
                        return true;
                    }
                    break;
                }
                case "setlevel":
                {
                    if(arg.length >= 2)
                    {
                        Player affectedPlayer;
                        try
                        {
                            affectedPlayer = Utilities.getPlayerByName(arg[2]);    
                        }
                        catch(PlayerNotFoundException ex)
                        {
                            m.send(cs, GlobalText.cantFindPlayer(arg[2]));
                            return true;
                        }
                        catch(IndexOutOfBoundsException ex)
                        {
                            if(!(cs instanceof Player))
                            {
                                m.send(cs, GlobalText.missingParameter());
                                return true;
                            }     
                            affectedPlayer = (Player) cs;
                        }
                        try
                        {
                            byte b = Byte.parseByte(arg[1]);
                            if(b < 1)
                            {
                                throw new NumberFormatException();
                            }
                            KajetansTools.jobs.setJobLevel(affectedPlayer, KajetansTools.jobs.getJob(affectedPlayer), b);
                            m.send(affectedPlayer, "Dein Job-level wurde auf " + arg[1] + " gesetzt.");
                            if(!cs.equals(affectedPlayer))
                            {
                                m.send(affectedPlayer, "Das Job-Level von " + affectedPlayer.getName() + " wurde auf " + arg[1] + " gesetzt.");
                            }
                        }
                        catch(NumberFormatException ex)
                        {
                            m.send(cs, GlobalText.noPositiveNaturalNumber());
                        }
                        return true;
                    }
                    break;
                }
                case "info":
                {
                    Player affectedPlayer;
                    try
                    {
                        affectedPlayer = Utilities.getPlayerByName(arg[2]);    
                    }
                    catch(PlayerNotFoundException ex)
                    {
                        m.send(cs, GlobalText.cantFindPlayer(arg[2]));
                        return true;
                    }
                    catch(IndexOutOfBoundsException ex)
                    {
                        if(!(cs instanceof Player))
                        {
                            m.send(cs, GlobalText.missingParameter());
                            return true;
                        }     
                        affectedPlayer = (Player) cs;
                    }
                    if(cs.equals(affectedPlayer))
                    {
                        byte job = KajetansTools.jobs.getJob(affectedPlayer);
                        this.getModule().send(cs, "Du bist momentan " + KajetansTools.jobs.getJobName(job) + ".");
                        byte level = KajetansTools.jobs.getJobLevel(affectedPlayer, job);
                        if(level < 20)
                        {
                            this.getModule().send(cs, "Du hast " + KajetansTools.jobs.getCurrentPercent(affectedPlayer, job) + 
                                    "% für Level " + (level + 1) + ".");
                            return true;
                        }
                        this.getModule().send(cs, "Du hast Level 20 erreicht.");
                        return true;
                    }
                    byte job = KajetansTools.jobs.getJob(affectedPlayer);
                    this.getModule().send(cs, affectedPlayer.getName() + " ist momentan " + KajetansTools.jobs.getJobName(job) + ".");
                    byte level = KajetansTools.jobs.getJobLevel(affectedPlayer, job);
                    if(level < 20)
                    {
                        this.getModule().send(cs, affectedPlayer.getName() + " hat " + KajetansTools.jobs.getCurrentPercent(affectedPlayer, job) + 
                            "% für Level " + (level + 1) + ".");
                        return true;
                    }
                    this.getModule().send(cs, affectedPlayer.getName() + " hat Level 20 erreicht.");
                    return true;
                }
                case "cj":
                case "changejob":
                {
                    if(arg.length >= 2)
                    {
                        Player affectedPlayer;
                        try
                        {
                            affectedPlayer = Utilities.getPlayerByName(arg[2]);    
                        }
                        catch(PlayerNotFoundException ex)
                        {
                            m.send(cs, GlobalText.cantFindPlayer(arg[2]));
                            return true;
                        }
                        catch(IndexOutOfBoundsException ex)
                        {
                            if(!(cs instanceof Player))
                            {
                                m.send(cs, GlobalText.missingParameter());
                                return true;
                            }     
                            affectedPlayer = (Player) cs;
                        }
                        try
                        {
                            byte jt = KajetansTools.jobs.getIdByKey(arg[1]);
                            if(jt == 0)
                            {
                                throw new IllegalArgumentException();
                            }
                            KajetansTools.jobs.setJob(affectedPlayer, jt);   
                            this.getModule().send(affectedPlayer, "Du bist nun " + KajetansTools.jobs.getJobName(jt) + ".");
                            if(!cs.equals(affectedPlayer))
                            {
                                m.send(affectedPlayer, affectedPlayer.getName() + " ist nun " + KajetansTools.jobs.getJobName(jt) + ".");
                            }
                        }
                        catch(IllegalArgumentException ex3)
                        {
                            m.send(cs, "Der Job " + arg[1] + " existiert nicht.");
                        }
                        return true;
                    }
                    break;
                }
            }
        }*/

        /*m.send(cs, "/job ...");
        m.send(cs, "... ist momentan deaktiviert.");
        m.sendHelpListElement(cs, "setxp <xp> [player]", "Setzt die Job-XP eines Spielers");
        m.sendHelpListElement(cs, "givexp <xp> [player]", "Gibt einem Spieler Job-XP");
        m.sendHelpListElement(cs, "setlevel <level> [player]", "Setzt das Job-Level eines Spielers");
        m.sendHelpListElement(cs, "info [player]", "Gibt Job-Infos über einen Spieler");
        m.sendHelpListElement(cs, "changejob <job> [player]", "Ändert den Job eines Spielers");*/
        return true;
    }
}
