package me.km.skills;

import java.util.List;
import java.util.Map;
import me.km.KajetansMod;
import me.km.effects.ActiveEffectBase;
import me.km.effects.EffectCause;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.item.ItemStack;

public class ActiveSkillContainer extends SkillContainer
{ 
    public ActiveSkillContainer(String title, EntityPlayerMP p, List<ItemStack> stacks, List<Map.Entry<Skill, Byte>> list) 
    {
        super(title, p, stacks, list);
    }

    @Override
    public boolean castClickedSkill() 
    {
        return true;
    }

    @Override
    public void onCastSkill(EntityPlayerMP p, Skill s, byte level) 
    {
        if(ActiveEffectBase.executeEffect(s.getEffect().getEffectBase(), p, level, level, EffectCause.SKILL))
        {
            KajetansMod.skills.sendToPlayers(p.world, p.getPositionVector(), 20, "§3" + p.getName() + "§r hat §3" + s.getName() + "§r benutzt.");
            p.closeScreen();
        }
    }
}
