package me.km.snuviscript;

import me.km.KajetansMod;
import me.km.api.GlobalText;
import me.km.api.Module;
import me.km.api.ModuleCommand;
import me.km.exception.GotoLabelNotFoundException;
import me.km.exception.NoChildTreeException;
import me.km.permissions.Permissions;
import net.minecraft.command.ICommandSender;
import net.minecraft.entity.player.EntityPlayer;

public class CommandGiveUp extends ModuleCommand
{
    public CommandGiveUp(Module m) 
    {
        super("giveup", m);
        super.setDescription("Gibt deine Quest auf");
        super.setUsage("/giveup");
        super.setPermission(Permissions.GIVEUP);
        super.addAlias("fuckit");
        super.addAlias("fuckitigiveup");
        super.addAlias("ineedhelp");
        super.addAlias("leave");
        super.addAlias("l");
    }

    @Override
    public boolean execute(ICommandSender cs, String[] arg) 
    {
        if(!(cs instanceof EntityPlayer))
        {
            this.getModule().send(cs, GlobalText.onlyPlayer());
            return true;
        }
        EntityPlayer p = (EntityPlayer) cs;
        Script qd = KajetansMod.scripts.getQuestData(p);
        if(qd == null)
        {
            this.getModule().send(cs, "Du hast gerade keine Quest.");
            return true;
        }
        try
        {
            qd.gotoLabel("giveup");
            qd.setVar("event", "player-leave");
            ScriptVars.setPlayerVars(qd, p); 
            qd.runCode();
            this.getModule().send(cs, "Du hast deine Quest aufgegeben.");
            return true;
        }
        catch(GotoLabelNotFoundException | NoChildTreeException ex)
        {
            KajetansMod.scripts.removePlayerFromQuest(p, qd);
            this.getModule().send(cs, "Du hast deine Quest aufgegeben.");
            return true;
        }
    }
}

